﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.Collections.ObjectModel;

namespace CellValuePresenterToolTip
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Data = new ObservableCollection<Data>();

            Random r = new Random();

            for (int i = 0; i < 10; i++)
            {
                Data.Add(new Data { Value = "Very very long value of a field for tool tip " + r.Next(10000000) });
            }

            DataContext = this;
        }

        public ObservableCollection<Data> Data { get; set; }

    }

    public class Data
    {
        public string Value { get; set; }

    }

   
}
